org.apache.kylin.jdbc

## Class KylinMeta.KMetaSchema

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSchema
  - - org.apache.kylin.jdbc.KylinMeta.KMetaSchema

All Implemented Interfaces:
  org.apache.calcite.avatica.MetaImpl.Named, KylinMeta.NamedWithChildren

Enclosing class:
  KylinMeta

    public static class KylinMeta.KMetaSchema
    extends org.apache.calcite.avatica.MetaImpl.MetaSchema
    implements KylinMeta.NamedWithChildren

### Field Summary

Fields
`List<KylinMeta.KMetaTable>` `tables`

### Fields inherited from class org.apache.calcite.avatica.MetaImpl.MetaSchema

`tableCatalog, tableSchem`

### Constructor Summary

Constructors
Constructor and Description
`KylinMeta.KMetaSchema(String tableCatalog, String tableSchem, List<KylinMeta.KMetaTable> tables)`

### Method Summary

Methods
`List<? extends KylinMeta.NamedWithChildren>` `getChildren()`

### Methods inherited from class org.apache.calcite.avatica.MetaImpl.MetaSchema

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.MetaImpl.Named

`getName`

### Field Detail

#### tables

    public final List<KylinMeta.KMetaTable> tables

### Constructor Detail

#### KylinMeta.KMetaSchema

    public KylinMeta.KMetaSchema(String tableCatalog,
                         String tableSchem,
                         List<KylinMeta.KMetaTable> tables)

### Method Detail

#### getChildren

    public List<? extends KylinMeta.NamedWithChildren> getChildren()

Specified by:
  `getChildren` in interface `KylinMeta.NamedWithChildren`